> ## Documentation Index
> Fetch the complete documentation index at: https://alt-docs.bitnbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Status payment

> Get the actual information about the payment. You need to provide the ID of the payment in the request.



## OpenAPI

````yaml GET /v1/payment/{id}/status
openapi: 3.0.2
info:
  title: Bitnbox API
  version: 0.1.0
  contact:
    name: Bitnbox
    url: https://bitnbox.io
    email: support@bitnbox.com
servers:
  - url: https://api.bitnbox.io
security:
  - ApiKeyAuth: []
paths:
  /v1/payment/{id}/status:
    get:
      tags:
        - v1
      summary: Get payment status by id
      description: >-
        Get the actual information about the payment. You need to provide the ID
        of the payment in the request.
      operationId: apiPaymentStatus
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: Unique identifier of the payment
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  paymentId:
                    type: string
                    format: uuid
                    description: Unique payment identifier
                  status:
                    type: string
                    enum:
                      - waiting
                      - confirming
                      - failed
                      - locked
                      - rejected
                      - expired
                      - paid
                      - paid_over
                      - paid_partial
                    description: Payment status
                  payAmount:
                    type: number
                    description: Crypto AMOUNT+PERCENT
                  payAddress:
                    type: string
                    description: Payment address
                  payQrCodeUri:
                    type: string
                    description: URI for payment QR code
                  currency:
                    type: string
                    minLength: 1
                    description: Cryptocurrency type (btc, usdt, eth, etc)
                  network:
                    type: string
                    description: Cryptocurrency network (e.g., erc20)
                  customerId:
                    type: string
                    minLength: 1
                    description: Customer ID (for security)
                  customerIp:
                    type: string
                    minLength: 1
                    description: Customer IP address (for security)
                  orderId:
                    type: string
                    description: Order id
                  additionalData:
                    type: string
                    description: Additional data
                  platformFeeByUser:
                    type: boolean
                    description: Fee by user/merchant
                  createdAt:
                    type: string
                    format: date-time
                    description: Date of creation
                  updatedAt:
                    type: string
                    format: date-time
                    description: Date of update
                  expiredAt:
                    type: string
                    format: date-time
                    description: Date of expire
                  webhookUrl:
                    type: string
                    format: uri
                    description: Webhook url
                  paidAmount:
                    type: number
                    description: Amount paid
                  merchantAmount:
                    type: number
                    description: Amount of money was paid to merchant
                  paidAddress:
                    type: string
                    description: Payment address
                required:
                  - paymentId
                  - status
                  - payAmount
                  - payAddress
                  - payQrCodeUri
                  - currency
                  - network
                  - customerId
                  - customerIp
                  - orderId
                  - platformFeeByUser
                  - createdAt
                  - updatedAt
                  - expiredAt
                  - webhookUrl
                  - paidAmount
                  - merchantAmount
                  - paidAddress
                description: Successful response with payment status details
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````